WESNOTH(6)

NOMBRE
wesnoth - La batalla por Wesnoth, un juego de estrategia fantástica por turnos

SINOPSIS
wesnoth [OPCIONES] [RUTA_A_LOS_DATOS]

DESCRIPCIÓN
La batalla por Wesnoth es un juego de estrategia fantástica por turnos. Derrote a todos los líderes enemigos utilizando un conjunto equilibrado de tropas, cuidadosamente administrando sus recursos de oro y aldeas. Cada unidad tiene sus propias ventajas y desventajas; para ganar, despliegue sus fuerzas de la mejor forma posible, evitando que sus enemigos tengan la oportunidad de hacer lo mismo. Según las unidades van ganando experiencia, adquieren nuevas habilidades y se vuelven más poderosas. Juegue en su propio idioma y pruebe su habilidad contra un inteligente adversario controlado por el ordenador, o únase a la gran comunidad de jugadores en línea de Wesnoth. Cree sus propias unidades personalizadas, escenarios o campañas, y compártalas con otros.

OPCIONES

--bpp número
    establece el valor de BitsPorPixel. Por ejemplo: --bpp 32

-c, --campaign  [<id_de_campaña>]
    va directamente a la campaña especificada con el identificador <id_de_campaña>. Un menú de selección aparecerá si no especifica un id. Nota: Al usar esta opción, asegúrese de especificar tanto la ruta de acceso a los datos como el argumento final, de otro modo, el juego interpretará el identificador de escenario o campaña como tal.

--campaign-difficulty [<dificultad>]
    El nivel de dificultad de la campaña especificada (de 1 al máximo). Si no especifica ninguno, aparecerá el diálogo de selección de nivel de dificultad.

--campaign-scenario <id_de_escenario>
    El identificador del escenario de la campaña especificada. El valor por defecto es el escenario inicial.

--data-dir <directorio>
    reemplaza el directorio de datos con el directorio especificado

--data-path
    muestra el nombre del directorio de datos de juego y finaliza.

-d, --debug
    activa opciones adicionales en el modo de comandos del juego (vea la página wiki en http://www.wesnoth.org/wiki/CommandMode para más información sobre el modo de comandos).

-e, --editor archivo
    inicia directamente con el editor de mapas del juego. Si archivo es especificado, equivale a -l --load

--fps
    muestra el número de fotogramas por segundo a los que se está ejecutando el juego actualmente, en una esquina de la pantalla.

-f, --fullscreen
    ejecuta el juego en modo de pantalla completa.

--gunzip archivo_de_entrada.gz
    descomprime un archivo que debería estar en formato gzip y lo almacena sin el sufijo .gz. El archivo_de_entrada.gz será eliminado.

--gzip archivo_de_entrada
    comprime un archivo en formato gzip, lo guarda como archivo_de_entrada.gz y elimina archivo_de_entrada.

-h, --help
    muestra un resumen de las opciones de línea de comandos en la salida estándar, y finaliza.

-l, --load archivo
    carga la partida guardada en archivo desde el directorio estándar de partidas guardadas. Combinada con la opción -e o --editor, inicia el editor con el mapa en archivo abierto. Si se trata de un directorio, el editor mostrará un diálogo de selección de archivos apuntando a éste.

--log-nivel=dominio1,dominio2,...
    establece el nivel de gravedad de los dominios de registro. all puede utilizarse para seleccionar todos los dominios. Los niveles disponibles son: error, warning, info, debug. Por defecto se utiliza el nivel error.

--logdomains [filtro]
    muestra una lista de dominios de registro definidos (únicamente aquéllos conteniendo filtro si es indicado) y regresa

--max-fps
    el número de fotogramas por segundo que el juego puede mostrar, el valor debería estar entre 1 y 1000, por defecto es 50.

-m, --multiplayer
    inicia una partida multijugador. Existen opciones adicionales que pueden usarse junto con --multiplayer como se explica más abajo. Sólo es posible utilizar dichas opciones tras --multiplayer.

--no-delay
    ejecuta el juego sin retrasos con el fin de hacer una prueba de rendimiento gráfico. Esto se activa automáticamente con --nogui.

--nocache
    deshabilita el cache de datos de juego.

--nomusic
    ejecuta el juego sin música.

--nosound
    ejecuta el juego sin sonidos ni música.

--path
    muestra el nombre del directorio de datos de juego y finaliza.

-p, --preprocess <source file/folder> <target directory>
    preprocesa un fichero o carpeta de ficheros especificados. Por cada fichero, se generarán en el directorio especificado un fichero .cfg de texto plano y otro fichero .cfg procesado. Si se especifica una carpeta, se preprocesará recursivamente basándose en las reglas conocidas del preprocesador. Las macros comunes del directorio «data/core/macros» serán preprocesadas antes que los recursos especificados. Ejemplo: -p ~/wesnoth/data/campaigns/tutorial ~/result. Para más detalles en relación con el preprocesador visite: http://wiki.wesnoth.org/PreprocessorRef#Command-line_preprocessor

--preprocess-defines=DEFINICION1,DEFINICION2,etc
    lista separada por comas de definiciones que van a ser usadas por el comando «--preprocess». Si SKIP_CORE está en la lista, el directorio «data/core» no se preprocesará.

--preprocess-input-macros <archivo de origen>
    sólo utilizado con '--preprocess'. Especifica un archivo que contiene nodos [preproc_define] para ser incluidos antes de la operación.

--preprocess-output-macros [<archivo de destino>]
    sólo utilizado con el comando «--preprocess». Escribe todas las macros preprocesadas en el archivo especificado. Si omite el nombre de archivo, se utilizará el archivo «_MACROS_.cfg» en el directorio de destino de la opción --preprocess. Esta opción debe preceder a «--preprocess».

-r XxY, --resolution XxY
    establece la resolución de la pantalla. Por ejemplo: -r 800x600

-s, --server [host]
    se conecta a la máquina especificada si la hay, de otro modo se conecta al primer servidor seleccionado en las preferencias. Ejemplo: --server server.wesnoth.org

--username<username>
    utiliza <username> cuando se conecta a un servidor, ignorando otras preferencias.

--password<password>
    utiliza <password> cuando se conecta a un servidor, ignorando otras preferencias. Método inseguro.

--strict-validation
    trata los errores de validación como fatales.

-t, --test
    inicia el juego en un pequeño escenario de prueba.

--userconfig-dir nombre
    establece el directorio de configuración del usuario como nombre en $HOME o "Mis documentos\Mis juegos" en Windows. También es posible especificar una ruta absoluta para el directorio de configuración fuera de $HOME o "Mis documentos\Mis juegos". Con X11 está predeterminado como $XDG_CONFIG_HOME o $HOME/.config/wesnoth, en otros sistemas para la ruta de los datos de usuario.

--userconfig-path
    muestra la ruta del directorio de la configuración del usuario y regresa.

--userdata-dir nombre
    establece el directorio de datos del usuario como nombre en $HOME o "Mis documentos\Mis juegos" en Windows. También es posible especificar una ruta absoluta para los datos del usuario fuera de $HOME o "Mis documentos\Mis juegos".

--userdata-path
    muestra la ruta del directorio de datos del usuario y regresa.

--validcache
    asume que el caché es válido (peligroso).

-v, --version
    muestra el número de versión y finaliza.

-w, --windowed
    ejecuta el juego en una ventana.

--with-replay
    muestra la repetición de la partida cargada con la opción --load.

Opciones para --multiplayer
Las opciones multijugador específicas de bando están marcadas con número. número ha de reemplazarse por un número de bando. Habitualmente es 1 o 2, pero depende del número de jugadores posibles en el escenario elegido.

--ai_confignúmero=valor
    selecciona un archivo de configuración a cargar por el controlador de inteligencia artificial para este bando.

--algorithmnúmero=valor
    selecciona un algoritmo distinto del habitual para ser usado por el controlador de inteligencia artificial para este bando. Los valores disponibles son: idle_ai y sample_ai.

--controllernúmero=valor
    selecciona el controlador para este bando. Los valores disponibles son: human (jugador) y ai (inteligencia artificial).

--era=valor
    use esta opción para jugar en la era seleccionada en lugar de la era por omisión (Default). La era se selecciona usando un identificador (id). Las eras incluidas están descritas en el archivo data/multiplayer/eras.cfg.

--exit-at-end
    finaliza una vez se ha completado el escenario, sin mostrar un diálogo de victoria o derrota que requiera que el usuario pulse en Aceptar. Esto se usa también para pruebas de rendimiento automatizadas.

--ignore-map-settings
    no se utilizan las configuraciones del mapa sino los valores predeterminados.

--multiplayer-repeat=value
    repite una partida multijugador value veces. Es mejor usarlo con --nogui para evaluaciones automatizadas.

--nogui
    ejecuta el juego sin la interfaz gráfica de usuario. Esta opción debe preceder --multiplayer para tener el efecto deseado.

--parmnúmero=nombre:valor
    establece parámetros adicionales para este bando. Este parámetro depende de las opciones empleadas con --controller y --algorithm. Sólo debería ser útil a la gente que está diseñando su propia inteligencia artificial. (no está documentado por completo todavía)

--scenario=valor
    selecciona un escenario multijugador por su identificador. El id de escenario por defecto es multiplayer_The_Freelands.

--sidenúmero=valor
    selecciona una facción de la era actual para este bando. La facción se selecciona usando un identificador (id). Las facciones se describen en el archivo data/multiplayer.cfg.

--turns=valor
    establece el número de turnos para el escenario elegido. Por defecto es 50.

ESTADO DE SALIDA
El estado de salida normal es 0. Un estado de 1 indica un problema de inicialización (SDL, vídeo, fuentes, etc.). Un estado de 2 indica un problema con las opciones de la línea de comandos.

AUTOR
Escrito por David White <davidnwhite@verizon.net>.
Editado por Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> y Soliton <soliton.de@gmail.com>.
Esta página de manual fue escrita inicialmente por Cyril Bouthors <cyril@bouthors.org>.
Visite la página web oficial: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2013 David White <davidnwhite@verizon.net>
Esto es Software Libre; este software está licenciado bajo GPL versión 2, tal y como ha sido publicada por la Free Software Foundation. No existe NINGUNA garantía; ni siquiera para SU USO COMERCIAL o ADECUACIÓN A UN PROPÓSITO PARTICULAR.

VÉASE TAMBIÉN
wesnothd(6).